org.jbpm.kie.services.impl.model

## Class UserTaskInstanceDesc

- java.lang.Object
- - org.jbpm.kie.services.impl.model.UserTaskInstanceDesc

- All Implemented Interfaces:
    Serializable, UserTaskInstanceDesc
  Direct Known Subclasses:
    UserTaskInstanceWithPotOwnerDesc, UserTaskInstanceWithVarsDesc

      public class UserTaskInstanceDesc
      extends Object
      implements UserTaskInstanceDesc, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserTaskInstanceDesc(Long taskId, String status, Date activationTime, String name, String description, Integer priority, String actualOwner, String createdBy, String deploymentId, String processId, Long processInstanceId, Date createdOn, Date dueDate)`
    `UserTaskInstanceDesc(Long taskId, String status, Date activationTime, String name, String description, Integer priority, String actualOwner, String createdBy, String deploymentId, String processId, Long processInstanceId, Date createdOn, Date dueDate, Long workItemId, Date slaDueDate, Integer slaCompliance)`
    `UserTaskInstanceDesc(Long taskId, String name, String description, Integer priority, Date dueDate, String formName)`
    `UserTaskInstanceDesc(Long taskId, String status, String actualOwner, String name, Integer priority, String createdBy, String processId, Long processInstanceId, Date createdOn, String formName, String deploymentId, Date dueDate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Date` | `getActivationTime()`
    `String` | `getActualOwner()`
    `String` | `getCreatedBy()`
    `Date` | `getCreatedOn()`
    `String` | `getDeploymentId()`
    `String` | `getDescription()`
    `Date` | `getDueDate()`
    `String` | `getFormName()`
    `String` | `getName()`
    `Integer` | `getPriority()`
    `String` | `getProcessId()`
    `Long` | `getProcessInstanceId()`
    `Integer` | `getSlaCompliance()`
    `Date` | `getSlaDueDate()`
    `String` | `getStatus()`
    `Long` | `getTaskId()`
    `Long` | `getWorkItemId()`
    `void` | `setDescription(String description)`
    `void` | `setDueDate(Date dueDate)`
    `void` | `setFormName(String formName)`
    `void` | `setName(String name)`
    `void` | `setPriority(Integer priority)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UserTaskInstanceDesc

          public UserTaskInstanceDesc(Long taskId,
                                      String status,
                                      Date activationTime,
                                      String name,
                                      String description,
                                      Integer priority,
                                      String actualOwner,
                                      String createdBy,
                                      String deploymentId,
                                      String processId,
                                      Long processInstanceId,
                                      Date createdOn,
                                      Date dueDate,
                                      Long workItemId,
                                      Date slaDueDate,
                                      Integer slaCompliance)

    - #### UserTaskInstanceDesc

          public UserTaskInstanceDesc(Long taskId,
                                      String status,
                                      Date activationTime,
                                      String name,
                                      String description,
                                      Integer priority,
                                      String actualOwner,
                                      String createdBy,
                                      String deploymentId,
                                      String processId,
                                      Long processInstanceId,
                                      Date createdOn,
                                      Date dueDate)

    - #### UserTaskInstanceDesc

          public UserTaskInstanceDesc(Long taskId,
                                      String name,
                                      String description,
                                      Integer priority,
                                      Date dueDate,
                                      String formName)

    - #### UserTaskInstanceDesc

          public UserTaskInstanceDesc(Long taskId,
                                      String status,
                                      String actualOwner,
                                      String name,
                                      Integer priority,
                                      String createdBy,
                                      String processId,
                                      Long processInstanceId,
                                      Date createdOn,
                                      String formName,
                                      String deploymentId,
                                      Date dueDate)

  - ### Method Detail

    - #### getTaskId

          public Long getTaskId()

      Specified by:
        `getTaskId` in interface `UserTaskInstanceDesc`

    - #### getStatus

          public String getStatus()

      Specified by:
        `getStatus` in interface `UserTaskInstanceDesc`

    - #### getActivationTime

          public Date getActivationTime()

      Specified by:
        `getActivationTime` in interface `UserTaskInstanceDesc`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `UserTaskInstanceDesc`

    - #### getDescription

          public String getDescription()

      Specified by:
        `getDescription` in interface `UserTaskInstanceDesc`

    - #### getPriority

          public Integer getPriority()

      Specified by:
        `getPriority` in interface `UserTaskInstanceDesc`

    - #### getCreatedBy

          public String getCreatedBy()

      Specified by:
        `getCreatedBy` in interface `UserTaskInstanceDesc`

    - #### getCreatedOn

          public Date getCreatedOn()

      Specified by:
        `getCreatedOn` in interface `UserTaskInstanceDesc`

    - #### getDueDate

          public Date getDueDate()

      Specified by:
        `getDueDate` in interface `UserTaskInstanceDesc`

    - #### getProcessInstanceId

          public Long getProcessInstanceId()

      Specified by:
        `getProcessInstanceId` in interface `UserTaskInstanceDesc`

    - #### getProcessId

          public String getProcessId()

      Specified by:
        `getProcessId` in interface `UserTaskInstanceDesc`

    - #### getActualOwner

          public String getActualOwner()

      Specified by:
        `getActualOwner` in interface `UserTaskInstanceDesc`

    - #### getDeploymentId

          public String getDeploymentId()

      Specified by:
        `getDeploymentId` in interface `UserTaskInstanceDesc`

    - #### getFormName

          public String getFormName()

      Specified by:
        `getFormName` in interface `UserTaskInstanceDesc`

    - #### getWorkItemId

          public Long getWorkItemId()

      Specified by:
        `getWorkItemId` in interface `UserTaskInstanceDesc`

    - #### getSlaDueDate

          public Date getSlaDueDate()

      Specified by:
        `getSlaDueDate` in interface `UserTaskInstanceDesc`

    - #### getSlaCompliance

          public Integer getSlaCompliance()

      Specified by:
        `getSlaCompliance` in interface `UserTaskInstanceDesc`

    - #### setFormName

          public void setFormName(String formName)

    - #### setName

          public void setName(String name)

    - #### setDescription

          public void setDescription(String description)

    - #### setPriority

          public void setPriority(Integer priority)

    - #### setDueDate

          public void setDueDate(Date dueDate)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.